import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router, Params } from '@angular/router';

@Component({
  selector: 'app-search-form',
  templateUrl: './search-form.component.html',
  styleUrls: ['./search-form.component.css']
})
export class SearchFormComponent implements OnInit {

  id;
  constructor(
    private route: ActivatedRoute,
    private router: Router
  ) { }

  ngOnInit() {
    this.route.params.forEach((params: Params) => {
      console.log("in search-form component, ngOnInit, params = ", params);
      if (params.hasOwnProperty('id')) {
        this.id = (<any>params).id;
      }
    });
  }

  onClick(input: any) {
    console.log("input = ", input);
    if (this.id) {
      this.router.navigate([input], {relativeTo: this.route.parent});
    } else {
      this.router.navigate([input], {relativeTo: this.route});
    }
  }

}
